# Signaturescan

<mark style="color:green;">`POST`</mark> `https://www.cyberscope.io/api/signaturescan`

Search for event, error, and function signatures that are stored in the Cyberscope Ethereum Signature Database

#### Request Body

| Name | Type   | Description                                                                                                     |
| ---- | ------ | --------------------------------------------------------------------------------------------------------------- |
| q    | String | <p><code>balanceOf(address)</code> or <code>0x70a08231.</code><br><code>A method signature or a hash</code></p> |

{% tabs %}
{% tab title="200: OK " %}

````json
```json
[
  {
    "id": "63d94fc766e71722846b29a7", // the database id of the entry
    "name": "transfer(address,uint256)", // the method signature
    "types": ["function"], // the type of the method "function|event|error"
    "signature": "0xa9059cbb2ab09eb219583f4a59a5d0623ade346d962bcd4e46b11da047c9049b", the entire signature hash
    "hash": "0xa9059cbb", // the short signature hash
    "total": 8884 // the number of contracts that this method is located
  }
]

```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberscope.io/api/signaturescan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
